org.apache.felix.framework.util.manifestparser

## Class NativeLibrary

- java.lang.Object
- - org.apache.felix.framework.util.manifestparser.NativeLibrary

    public class NativeLibrary
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`NativeLibrary(String libraryFile, String[] osnames, String[] processors, String[] osversions, String[] languages, String selectionFilter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getEntryName()`
`String[]` `getLanguages()`
`String[]` `getOSNames()`
`String[]` `getOSVersions()`
`String[]` `getProcessors()`
`String` `getSelectionFilter()`
`boolean` `match(Map configMap, String name)` Determines if the specified native library name matches this native library definition.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NativeLibrary

    public NativeLibrary(String libraryFile,
                         String[] osnames,
                         String[] processors,
                         String[] osversions,
                         String[] languages,
                         String selectionFilter)
                  throws Exception

Throws:
  `Exception`

### Method Detail

#### getEntryName

    public String getEntryName()

#### getOSNames

    public String[] getOSNames()

#### getProcessors

    public String[] getProcessors()

#### getOSVersions

    public String[] getOSVersions()

#### getLanguages

    public String[] getLanguages()

#### getSelectionFilter

    public String getSelectionFilter()

#### match

    public boolean match(Map configMap,
                         String name)

Determines if the specified native library name matches this native library definition.

Parameters:
  `name` - the native library name to try to match.
Returns:
  `true` if this native library name matches this native library definition; `false` otherwise.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`